/**
 * 
 */
package org.gcube.resourcemanagement.model.impl.entities.facets;

import java.util.Date;

import org.gcube.com.fasterxml.jackson.annotation.JsonTypeName;
import org.gcube.informationsystem.model.impl.entities.FacetImpl;
import org.gcube.resourcemanagement.model.reference.entities.facets.EventFacet;
import org.gcube.resourcemanagement.model.reference.properties.ValueSchema;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@JsonTypeName(value = EventFacet.NAME)
public class EventFacetImpl extends FacetImpl implements EventFacet {

	/**
	 * Generated Serial version UID
	 */
	private static final long serialVersionUID = -4130548762073254058L;

	protected Date date;
	protected ValueSchema event;

	public Date getDate() {
		return this.date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public ValueSchema getEvent() {
		return event;
	}

	public void setEvent(ValueSchema event) {
		this.event = event;
	}

}